# frozen_string_literal: true

require 'jsonschema/recorder/version'
require 'jsonschema/generator'

module Jsonschema
  # Recorder
  module Recorder
    class Error < StandardError; end
    # Your code goes here...
    def self.call(path:, name:, content:)
      json_schema = Jsonschema::Generator.call(content)
      file_name = "#{name}.json"
      snap_path = File.join(path, file_name)

      unless Dir.exist?(File.dirname(snap_path))
        FileUtils.mkdir_p(File.dirname(snap_path))
      end

      file = File.new(snap_path, 'w+')
      file.write(json_schema.to_json)
      file.close
    end
  end
end
